Bug 137260 - Replace system-config-packages with Synaptic
Replace system-config-packages with Synaptic
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 20:08 EDT by Federico Tello Gentile
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-18 11:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Tello Gentile 2004-10-26 20:08:52 EDT
The tool system-config-packages available in FC2 is too limited and
does not handle dependencies well. It also suffers from many usability
issues, specially when reporting missing dependencies.
Synaptic does a much better job in all aspects. 

All we need to have a better package management system in FC is bundle
apt-rpm (just 1 rpm more to the whole distro), Synaptic (1 rpm more to
the whole distro) and make the ISOs apt-enabled (just a few MB of
extra space) so they can be used with apt-cdrom.
This will make installing and unistalling rpms individually much
easier and less error prone than it is today with the default tools.

This has nothing to do with up2date or the applet that keeps the
system  on sync with the periodic updates, I'm asking for an
enhancement to the tool used to change the installed packages.
Comment 1 Matthew Miller 2005-04-26 12:06:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Federico Tello Gentile 2005-07-18 11:05:01 EDT
Closing, since yum front ends seem the way to go now.

Note You need to log in before you can comment on or make changes to this bug.